# Finds HarkCore.
#
# This module defines:
# HARKCORE_INCLUDE_DIRS
# HARKCORE_LIBRARIES
#

find_package(PkgConfig REQUIRED)
pkg_check_modules(PC_HARKCORE hark-core)

find_path(HARKCORE_INCLUDE_DIR
          TimeStamp.h
          HINTS ${PC_HARKCORE_INCLUDEDIR} ${PC_HARKCORE_INCLUDE_DIRS})

find_library(HARKCORE_LIBRARY
             NAMES hark-core.tlb
             HINTS ${PC_HARKCORE_LIBDIR} ${PC_HARKCORE_LIBRARY_DIRS})

set(HARKCORE_LIBRARIES ${HARKCORE_LIBRARY})
set(HARKCORE_INCLUDE_DIRS ${HARKCORE_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(HarkCore DEFAULT_MSG
                                  HARKCORE_LIBRARY HARKCORE_INCLUDE_DIR)

mark_as_advanced(HARKCORE_INCLUDE_DIR HARKCORE_LIBRARY)

